Merge pull request #202 from WillPower3309/main

fix: add --strict nix-instantiate to support builtins.readFile
This commit is contained in:
Ryan Mulligan 2023-09-22 05:13:16 -07:00 committed by GitHub
commit 1f677b3e16
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
1 changed files with 1 additions and 1 deletions

View File

@ -115,7 +115,7 @@ function cleanup {
trap "cleanup" 0 2 3 15
function keys {
(@nixInstantiate@ --json --eval -E "(let rules = import $RULES; in rules.\"$FILE\".publicKeys)" | @jqBin@ -r .[]) || exit 1
(@nixInstantiate@ --json --eval --strict -E "(let rules = import $RULES; in rules.\"$FILE\".publicKeys)" | @jqBin@ -r .[]) || exit 1
}
function decrypt {